/////////////////////////////////////////////////////////////////
//Copyright (C) 2005 NTT CORPORATION.
//
//Lo拡張情報テーブル入力チェッククラス
//
//変更履歴
//2005.02.10  新規作成  鏡味 克彦
//
//機能
//
//OLMSカスタマイズに伴うLo拡張情報テーブル用の入力チェッククラスです。
//
/////////////////////////////////////////////////////////////////

package jp.co.ntt.lms.xmo.Lo.LoExtend;

import jp.co.ntt.lms.xmo.util.XMOCheck;

/**
 * OLMS機能カスタマイズ：LO拡張情報テーブル入力チェッククラス
 * @author Katsuhiko Kagami(UNITEC)
 * @version 1.0
 */
public class LoExtendCheck 
	implements LoExtendMessage, LoExtendTable 
{
	/**
	* LOIDフィールドの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param bRequire 必須区分(必須:true/必須でない:false)
	* * @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkLOID( String strCheck, boolean bRequire ) {

		// 必須チェック
		if( bRequire ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return LOID_REQUIRE_WARNING;
			}
		}

		// LOIDフィールドのバイト長チェック
		if(!XMOCheck.checkLenB(strCheck, LOEXTEND_LOID_LEN_B)) {
			return LOID_LEN_WARNING;
		}
		return "";
	}

	/**
	* buyフィールドの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param bRequire 必須区分(必須:true/必須でない:false)
	* * @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkBuy( String strCheck, boolean bRequire ) {

		// 必須チェック
		if( bRequire ) {
			if( !XMOCheck.checkHissu( strCheck ) ) {
				return BUY_REQUIRE_WARNING;
			}
		}

		//buyフィールドのバイト長チェック
		if(!XMOCheck.checkLenB(strCheck, LOEXTEND_BUY_LEN_B)){
			return BUY_LEN_WARNING;
		}
		return "";
	}

	/**
	* keyword1フィールドの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param bRequire 必須区分(必須:true/必須でない:false)
	* * @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkKeyword1( String strCheck, boolean bRequire ) {

		// 必須チェック
		if( bRequire ) {
			if( !XMOCheck.checkHissu( strCheck ) ) {
				return KEYWORD1_REQUIRE_WARNING;
			}
		}

		//keywordフィールドのバイト長チェック
		if(!XMOCheck.checkLenB(strCheck, LOEXTEND_KEYWORD_LEN_B)){
			return KEYWORD1_LEN_WARNING;
		}
		return "";
	}

	/**
	* keyword2フィールドの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param bRequire 必須区分(必須:true/必須でない:false)
	* * @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkKeyword2( String strCheck, boolean bRequire ) {

		// 必須チェック
		if( bRequire ) {
			if( !XMOCheck.checkHissu( strCheck ) ) {
				return KEYWORD2_REQUIRE_WARNING;
			}
		}

		//keywordフィールドのバイト長チェック
		if(!XMOCheck.checkLenB(strCheck, LOEXTEND_KEYWORD_LEN_B)){
			return KEYWORD2_LEN_WARNING;
		}
		return "";
	}

	/**
	* keyword3フィールドの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param bRequire 必須区分(必須:true/必須でない:false)
	* * @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkKeyword3( String strCheck, boolean bRequire ) {

		// 必須チェック
		if( bRequire ) {
			if( !XMOCheck.checkHissu( strCheck ) ) {
				return KEYWORD3_REQUIRE_WARNING;
			}
		}

		//keywordフィールドのバイト長チェック
		if(!XMOCheck.checkLenB(strCheck, LOEXTEND_KEYWORD_LEN_B)){
			return KEYWORD3_LEN_WARNING;
		}
		return "";
	}

	/**
	* keyword4フィールドの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param bRequire 必須区分(必須:true/必須でない:false)
	* * @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkKeyword4( String strCheck, boolean bRequire ) {

		// 必須チェック
		if( bRequire ) {
			if( !XMOCheck.checkHissu( strCheck ) ) {
				return KEYWORD4_REQUIRE_WARNING;
			}
		}

		//keywordフィールドのバイト長チェック
		if(!XMOCheck.checkLenB(strCheck, LOEXTEND_KEYWORD_LEN_B)){
			return KEYWORD4_LEN_WARNING;
		}
		return "";
	}

	/**
	* keyword5フィールドの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param bRequire 必須区分(必須:true/必須でない:false)
	* * @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkKeyword5( String strCheck, boolean bRequire ) {

		// 必須チェック
		if( bRequire ) {
			if( !XMOCheck.checkHissu( strCheck ) ) {
				return KEYWORD5_REQUIRE_WARNING;
			}
		}

		//keywordフィールドのバイト長チェック
		if(!XMOCheck.checkLenB(strCheck, LOEXTEND_KEYWORD_LEN_B)){
			return KEYWORD5_LEN_WARNING;
		}
		return "";
	}
}
